Letters
You can list your available letters with the following URL:
GET https://api.smallinvoice.com/letter/list/
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| limit | int | no | 0 | Limit the amount of results | |
| page | int | no | 1 | When limiting the results, specifies page | |
| sort | string | no | date | date due number | Sorts the list by the available values |
| sorttype | string | no | desc | asc desc | Defines the way of sorting |
Example: Making a request with 100 Results, getting second page, and sorting by date ascending
GET https://api.smallinvoice.com/letter/list/limit/100/page/2/sort/date/sorttype/asc/
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
| page | int | Current page that was passed in on the request |
| pages | int | Total number of pages available |
| count | int | Total number of objects available |
| items | collection | Collection of letter Objects |
Example content of data variable:
{
"error":false,
"page":1,
"pages":1,
"count":1,
"items":[
{
"id":2,
"client_id":16,
"client_address_id":11,
"client_contact_id":0,
"date":"2013-02-25",
"title":"Letter to John Doe",
"status":7,
"pages":1
}
]
}
You can get your letter with the following URL:
GET https://api.smallinvoice.com/letter/get/
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| id | int | yes | The Id of the letter |
Example: Making a request for letter with id 5
GET https://api.smallinvoice.com/letter/get/id/5
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
| item | object | Object of letter |
Example content of data variable:
{
"error":false,
"item":{
"id":2,
"client_id":16,
"client_address_id":11,
"client_contact_id":0,
"date":"2013-02-25",
"title":"Letter to Jane Doe",
"status":7,
"pages":1
}
}
You can get your letter as pdf with the following URL:
GET https://api.smallinvoice.com/letter/pdf/
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| id | int | yes | The Id of the letter |
Example: Making a request for letter with id 5
GET https://api.smallinvoice.com/letter/pdf/id/5
Response
| Name | Type | Notes |
|---|---|---|
| HTTP Body | application/pdf | The PDF in raw format |
You can get a letter preview in PNG form for each page of a document with the following URL:
GET https://api.smallinvoice.com/letter/preview/
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| id | int | yes | The Id of the letter | ||
| page | int | no | 1 | The page you want to retreive | |
| size | int | no | 595 | 240 595 600 972 1240 | The size in pixels |
Example: Getting second page in size 1240 for letter with id 5
GET https://api.smallinvoice.com/letter/preview/id/5/page/2/size/1240
Response
| Name | Type | Notes |
|---|---|---|
| HTTP Body | image/png | The image in raw format |
You can add a new letter with the following URL:
POST https://api.smallinvoice.com/letter/add
Body parameters
| Name | Type | Required | Default | Notes |
|---|---|---|---|---|
| client_id | int | yes | Client's id | |
| client_address_id | int | yes | Client's address id | |
| client_contact_id | int | no | 0 | Client's contact id |
| date | date | yes | Date of letter | |
| title | string | no | Title of the letter |
Example: Creating a new letter
POST https://api.smallinvoice.com/letter/add/
Example content of data variable:
{
"client_id":16,
"client_address_id":11,
"client_contact_id":0,
"date":"2013-02-25",
"title":"Letter to Jane Doe",
"status":7,
"pages":1
}
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
| id | int | The Id of the letter Object that was created |
Example response:
{
"error":false,
"id": 43
}
You can edit an letter with the following URL:
POST https://api.smallinvoice.com/letter/edit
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| id | int | yes | The Id of the letter |
Body parameters
| Name | Type | Notes |
|---|---|---|
| client_id | int | Client's id |
| client_address_id | int | Client's address id |
| client_contact_id | int | Client's contact id |
| date | date | Date of letter |
| title | string | Title of the letter |
Example: Editing an letter with id 5
POST https://api.smallinvoice.com/letter/edit/id/5
Example content of data variable:
{
"client_id":16,
"client_address_id":11,
"client_contact_id":0,
"date":"2013-02-25",
"title":"Letter to John Doe",
"status":7,
"pages":1
}
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
Example response:
{
"error":false
}
You can delete an letter with the following URL:
POST https://api.smallinvoice.com/letter/delete/
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| id | int | yes | The Id of the letter |
Example: Making a request for deleting letter with id 5
POST https://api.smallinvoice.com/letter/delete/id/5
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
Example response:
{
"error":false
}
You can email your letter with the following URL:
POST https://api.smallinvoice.com/letter/email
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| id | int | yes | The Id of the letter |
Body parameters
| Name | Type | Required | Default | Notes |
|---|---|---|---|---|
| subject | string | Yes | Subject of email | |
| body | string | Yes | Content of the email | |
| afterstatus | int | No | The status the document should take after sending | |
| recipients | collection | Yes | List of recipients. See example |
Example: Sending an letter with id 5 via email
POST https://api.smallinvoice.com/letter/email/id/5
Example content of data variable
{
"subject" : "Email subject",
"body" : "Email body",
"afterstatus" : 1,
"recipients" : [
{
"cc" : false,
"email" : "email@domain.com",
"name" : "Client Name"
}
]
}
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
Example response:
{
"error":false
}
You can send your letter via postmail with the following URL:
POST https://api.smallinvoice.com/letter/post
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| id | int | yes | The Id of the letter |
Body parameters
| Name | Type | Required | Default | Notes |
|---|---|---|---|---|
| speed | int | Yes | 1 = Priority / 2 = Economy | |
| color | int | No | 0 | 0 = B/W / 1 = Color |
| sendstatus | int | No | The status the document should be sent in | |
| afterstatus | int | No | The status the document should take after sending |
Example: Sending an letter with id 5 via postmail
POST https://api.smallinvoice.com/letter/post/id/5
Example content of data variable
{
"afterstatus" : 1,
"sendstatus" : 1,
"speed" : 1
}
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
Example response:
{
"error":false
}
You can change status of your letter with the following URL:
POST https://api.smallinvoice.com/letter/status/
URL Parameters
| Name | Type | Required | Default | Options | Notes |
|---|---|---|---|---|---|
| id | int | yes | The Id of the letter |
Body parameters
| Name | Type | Required | Default | Notes |
|---|---|---|---|---|
| status | int | Yes | See Status Types |
Example: Making a request for letter with id 5
POST https://api.smallinvoice.com/letter/status/id/5
Example content of data variable
{
"status" : 1
}
Response
| Name | Type | Notes |
|---|---|---|
| error | boolean | Is true if an error occured |
| errorcode | int | Code of the error. Only returned if error is true. |
| errormessage | string | Informational message about the error. Only returned if error is true. |
Example response:
{
"error":false
}
